Сбой при сбое Google Earth

18

Недавно я загрузил файл Google Earth .deb для 64-разрядного отсюда . И я установил его с помощью:

sudo dpkg -i google-earth-stable_current_amd64.deb

И я, конечно, также установил все другие необходимые зависимости:

sudo apt-get install -f

От чего зависит Google Планета Земля. Но теперь, когда я запускаю Google Earth с помощью

google-earth

Он запускается, остается открытым около 10 секунд, а затем выходит. От открытия его до закрытия это то, что я вижу в терминале:

[0628/171243:ERROR:net_util.cc(2195)] Not implemented reached in bool net::HaveOnlyLoopbackAddresses()
[0628/171244:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171244:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171244:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171244:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/161245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/161245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171245:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171246:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171246:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171246:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171246:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171246:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171246:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171246:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171246:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171247:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171247:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171247:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171247:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171247:WARNING:backend_impl.cc(1875)] Destroying invalid entry.
[0628/171249:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171249:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171249:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171249:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171250:WARNING:backend_impl.cc(1875)] Destroying invalid entry.
[0628/171250:WARNING:backend_impl.cc(1875)] Destroying invalid entry.
[0628/171250:WARNING:backend_impl.cc(1875)] Destroying invalid entry.
[0628/171250:WARNING:backend_impl.cc(1875)] Destroying invalid entry.
[0628/171250:WARNING:backend_impl.cc(1875)] Destroying invalid entry.
[0628/171250:WARNING:backend_impl.cc(1875)] Destroying invalid entry.
[0628/171250:WARNING:backend_impl.cc(1875)] Destroying invalid entry.
[0628/171250:WARNING:backend_impl.cc(1875)] Destroying invalid entry.
[0628/171253:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171253:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171253:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171253:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171254:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171254:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171254:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171254:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171254:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171254:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171254:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.
[0628/171254:ERROR:nss_ocsp.cc(581)] No URLRequestContext for OCSP handler.


Another crash happened while handling crash!

Я не уверен в значении этих сообщений об ошибках и о том, что я должен делать с ними, чтобы остановить его только на 10 секунд. Так или иначе я могу это исправить? Или это какая-то ошибка? Если да, где я должен сообщить об этом?

Информация о ОС:

Description:    Ubuntu 15.04
Release:    15.04

Информация о пакете:

google-earth-stable:
  Installed: 7.1.4.1529-r0
  Candidate: 7.1.4.1529-r0
  Version table:
 *** 7.1.4.1529-r0 0
        100 /var/lib/dpkg/status
    
задан Paranoid Panda 28.06.2015 в 16:15
источник

5 ответов

16

Решение заключается в удалении (или переименовании) каталога ~/.googleearth .

  1. Закрыть Google-Earth
  2. Переименуйте каталог

    mv ~/.googleearth ~/old_googleearth 
    
  3. Запустите Google-Earth и будьте счастливы.

Ну, с Fedora 23 это не помогло. Мне пришлось установить 32-битную версию Google-Earth. По крайней мере, он работает сейчас.

    
ответ дан erik 26.10.2015 в 15:52
источник
2

У меня такая же проблема. Единственный способ исправить это, насколько я знаю, и, согласно другим форумам, о том, что земля с грохотом при запуске запускается, просто постарайтесь не перемещать мышь и ждать ее чтобы быть стабильным (например, когда земля была полностью загружена) Это работает для меня .. так что попробуйте

    
ответ дан 7th 24.09.2015 в 01:57
2

Единственным обходным решением для меня было отключиться от Интернета перед запуском программы.

Я загрузил последнюю версию google-earth-stable_current_amd64.deb и установил ее Ubuntu Software. Я использую Ubuntu 16.04.

Лучшим решением для меня является установка таких нестабильных программ на Virtualbox. Но что я мог сделать, если Virtualbox не установил?

    
ответ дан Dante 05.07.2016 в 18:33
1

Вот скриншот утилиты, доступной в Ubuntu Software Cente:

Действия : 1. Откройте программный центр Ubuntu и найдите «googleearth» (без пробелов найдено то, что я искал, с пространством между Google и землей он дал что-то еще).

  1. После этого программный центр должен выглядеть как изображение, которое я опубликовал. Затем на вашем консоли / терминале запускается make-googleearth-package .

  2. Затем запустите sudo dpkg -i googleearth_6.0.3.2197+1.1.0-1_amd64.deb , когда консоль запросит у вас то же самое после завершения шага 1.

  3. Если некоторые зависимости не выполнены, выполните sudo apt-get update , затем запустите sudo apt-get -f install

  4. После выполнения шага 3 sudo dpkg -i googleearth_6.0.3.2197+1.1.0-1_amd64.deb .

Это сделал трюк, никаких сбоев.

Решение Erik's и 7th работало в течение нескольких месяцев до сегодняшнего дня, когда независимо от того, насколько я пытался не перемещать мышь или играть с глобусом, пока он загружается и летает, он разбился.

EDIT: Chrome и Google Earth не будут запускаться одновременно в моей системе, интересно, почему?

EDIT: Chrome и GEART работают одновременно.

    
ответ дан csheth 17.03.2016 в 15:31
-3

У меня была та же проблема, я выполнил ее как sudo . В терминале:

sudo google-earth

Это сработало для меня.

    
ответ дан sergio 11.10.2015 в 22:08